Fedora Core 3 : kdelibs-3.3.1-2.4.FC3 (2004-550)

High Nessus Plugin ID 15979


The remote Fedora Core host is missing a security update.


- Tue Dec 14 2004 Than Ngo <than at redhat.com> 3.3.1-2.4.FC3

- apply the patch to fix Konqueror Window Injection Vulnerability #142510 CVE-2004-1158, Thanks to KDE security team

- Fri Dec 10 2004 Than Ngo <than at redhat.com> 3.3.1-2.3.FC3

- Security Advisory: plain text password exposure, #142487 thanks to KDE security team

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected kdelibs, kdelibs-debuginfo and / or kdelibs-devel packages.

See Also


Plugin Details

Severity: High

ID: 15979

File Name: fedora_2004-550.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2004/12/15

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:kdelibs, p-cpe:/a:fedoraproject:fedora:kdelibs-debuginfo, p-cpe:/a:fedoraproject:fedora:kdelibs-devel, cpe:/o:fedoraproject:fedora_core:3

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2004/12/15

Reference Information

FEDORA: 2004-550